From 98a0842fc644c623af6ba8694f751b9a2d011932 Mon Sep 17 00:00:00 2001
Message-Id: <98a0842fc644c623af6ba8694f751b9a2d011932.1349175436.git.minovotn@redhat.com>
In-Reply-To: <94968b7fa9b14e71f004474d7ce77e189e6a2bf3.1349175436.git.minovotn@redhat.com>
References: <94968b7fa9b14e71f004474d7ce77e189e6a2bf3.1349175436.git.minovotn@redhat.com>
From: Eduardo Habkost <ehabkost@redhat.com>
Date: Fri, 28 Sep 2012 16:50:11 +0200
Subject: [PATCH 07/34] target-i386: x86_cpudef_setup() coding style change
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

RH-Author: Eduardo Habkost <ehabkost@redhat.com>
Message-id: <1348851023-31907-7-git-send-email-ehabkost@redhat.com>
Patchwork-id: 42509
O-Subject: [RHEL6 qemu-kvm PATCH 06/18] target-i386: x86_cpudef_setup() coding style change
Bugzilla: 833152
RH-Acked-by: Alex Williamson <alex.williamson@redhat.com>
RH-Acked-by: Paolo Bonzini <pbonzini@redhat.com>
RH-Acked-by: Igor Mammedov <imammedo@redhat.com>
RH-Acked-by: Orit Wasserman <owasserm@redhat.com>

Bugzilla: 833152

Make source code lines shorter.

Signed-off-by: Eduardo Habkost <ehabkost@redhat.com>
Reviewed-by: Don Slutz <Don@CloudSwitch.com>
Signed-off-by: Andreas Färber <afaerber@suse.de>
(cherry picked from commit bc3e1291ddcbc0f6548886a321c98227fa710173)

Conflicts:
	target-i386/cpuid.c

(Simple conflict only because model_with_versions[] does not exist on
RHEL-6).

Signed-off-by: Eduardo Habkost <ehabkost@redhat.com>
---
 target-i386/cpuid.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

Signed-off-by: Michal Novotny <minovotn@redhat.com>
---
 target-i386/cpuid.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/target-i386/cpuid.c b/target-i386/cpuid.c
index 359f631..08d7617 100644
--- a/target-i386/cpuid.c
+++ b/target-i386/cpuid.c
@@ -1170,9 +1170,10 @@ void x86_cpudef_setup(void)
     int i;
 
     for (i = 0; i < ARRAY_SIZE(builtin_x86_defs); ++i) {
-        builtin_x86_defs[i].next = x86_defs;
-        builtin_x86_defs[i].flags = 1;
-        x86_defs = &builtin_x86_defs[i];
+        x86_def_t *def = &builtin_x86_defs[i];
+        def->next = x86_defs;
+        def->flags = 1;
+        x86_defs = def;
     }
 #if !defined(CONFIG_LINUX_USER)
     qemu_opts_foreach(&qemu_cpudef_opts, cpudef_register, NULL, 0);
-- 
1.7.11.4

